Subject: bug#4915: 23.1.50; problem with start-process and utf-16-le-dos coding system

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 23 Aug 2019 05:21:24 +0200

Eduard Wiebe <[email-masked]> writes:

> I have a problem with following elisp snippet:
>
> (let ((coding-system-for-read  'utf-16-le-dos)
>       (coding-system-for-write 'utf-16-le-dos))
>   (start-process  "ucs" "ucs" "cat" "utf-16-studie.txt"))
>
> File utf-16-studie.txt contains some umlauts and a unicode character
> --- utf-16-studie.txt content ---
> äöüß┰
> --- utf-16-studie.txt content ---
> and is saved with utf-16-le-dos coding system.
>
> After evaluation of the let form above the buffer "ucs" looks like this:
> --- ucs buffer content ---
> 氨瑥⠠挨摯湩ⵧ祳瑳浥昭牯爭慥⁤✠瑵ⵦ㘱氭ⵥ潤⥳ ††⠠潣楤杮猭獹整⵭潦⵲牷瑩⁥甧晴ㄭⴶ敬搭獯⤩ ⠠瑳牡⵴牰捯獥⁳∠捵≳∠捵≳∠慣≴∠瑵ⵦ㘱猭畴楤⹥汥⤢਩

(I'm going through old bug reports that unfortunately haven't gotten any
responses yet.)

I'm unable to reproduce this bug, and I'm not quite sure I understand
what you're trying to do.

The test file you send was in utf-8, and making Emacs read that as
utf-16 is going to lead to very confused results.

The output from the form above also seems way too long -- when I try the
recipe, I get a more-expected

꓃뛃볃鿃铢ર

output.

So I'm not sure there's a bug here...  or did you mean to send a file
that was really utf-16?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no